### Property

# Phosh DBusSensorProxyCompass:has-compass

#### Declaration

    property has-compass: gboolean [ read, write ]

#### Description [src]

Represents the D-Bus property “HasCompass”.

Since the D-Bus property for this `GObject` property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Type:`gboolean`

Default value | FALSE
Getter method | `phosh_dbus_sensor_proxy_compass_get_has_compass()`
Setter method | `phosh_dbus_sensor_proxy_compass_set_has_compass()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no